/*
 * Analogue TV Player plugin for VDR
 *
 * Copyright (C) 2003 .. 2006 Andreas Kool <akool@gmx.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 * Version: $Id: menusetup.h,v 1.8 2005/01/09 18:16:09 akool Exp $
 * Release: $Name:  $
 *
 */

#ifndef MENUSETUP_H
#define MENUSETUP_H

#include <vdr/plugin.h>
#include <vdr/sources.h>

#include "epg.h"

class cPluginAnalogtv;

class cMenuSetupAnalogtv : public cMenuSetupPage {
public:
  cMenuSetupAnalogtv(cPluginAnalogtv *PluginAnalogtv);
  virtual eOSState ProcessKey(eKeys Key);
private:
  cOsdItem *Item(const char *name, const char *text);
  cOsdItem *Item(const char *name, const int num);
  cOsdItem *Item(const char *name, const double num);
  cAnalogtvEPGhandler *AnalogtvEPGhandler;
  void PictureProperties(void);
  void Finetuning(void);
  cPluginAnalogtv *PluginAnalogtv;
protected:
  void AddNewCategory(const char *title);
  virtual void Store(void);
};
#endif // MENUSETUP_H
